package de.hsbo.fbv.bmg.graphics.transforms;

import java.awt.geom.Point2D;

/**
 * Interface fr Punkt in 2,5-D Modellen
 * @author A.Zimmermann, HS Bochum, 2011
 *
 */
public interface Point2hD {
	
	/**
	 * Gibt die Anzahl der Koordinatenkomponenten zurck.
	 * @return
	 */
	public int dim();
	
	/**
	 * Gibt die z-Koordinate zurck.
	 * @return
	 */
	public double getZ();
	
	/**
	 * Setzt die z-Koordinate.
	 * @return
	 */
	public void setZ(double z);
	
	/**
	 * Gibt ein Point2D-Objekt zurck.
	 * @return
	 */
	public Point2D toPoint2D();
	
	/**
	 * Gibt ein transformiertes Point2hD-Objekt zurck.
	 * @param transform
	 * @return
	 */
	public Point2hD toPoint2hD(Transform2hD transform);

}
