package de.hsbo.fbv.bmg.graphics.transforms.demos;


import java.awt.geom.Point2D;

import de.hsbo.fbv.bmg.graphics.transforms.Point2hD;
import de.hsbo.fbv.bmg.graphics.transforms.Transform2hD;


public class SimplePoint2hD extends Point2D.Double implements Point2hD {
	
	double z = java.lang.Double.NaN;
	
	public SimplePoint2hD(double x, double y, double z) {
		super(x, y);
		this.z = z;
	}
	
	public SimplePoint2hD(double x, double y) {
		super(x, y);
	}	

	@Override
	public double getZ() {
		return this.z;
	}

	@Override
	public Point2D toPoint2D() {
		return (Point2D)this;
	}

	@Override
	public Point2hD toPoint2hD(Transform2hD transform) {
		double[] result = null;
		if(transform==null)
			return this;
		else if(dim()==2) 
			result = transform.transform(getX(), getY(), 0);
		else // dim()==3
			result = transform.transform(getX(), getY(), getZ());
		if(result==null)
			return null;
		else if(result.length==2)
			return new SimplePoint2hD(result[0], result[1]);
		else // dim()==3
			return new SimplePoint2hD(result[0], result[1], result[2]);
	}

	@Override
	public int dim() {
		if(z==java.lang.Double.NaN)
			return 2;
		else
			return 3;
	}

	@Override
	public void setZ(double z) {
		this.z = z;
	}
		
}
