package de.hsbo.fbv.bmg.graphics.viewer.aufgaben;

import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Paint;
import java.awt.Stroke;
import java.awt.TexturePaint;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Line2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RoundRectangle2D;
import java.awt.geom.Rectangle2D.Double;
import java.awt.image.BufferedImage;
import java.awt.image.ColorModel;
import java.awt.image.Raster;
import java.io.FileInputStream;
import java.io.InputStream;
import java.util.ArrayList;

/**
 * Die Klasse erzeugt geometrische Zufallsobjekte vom Typ DecoratedShape, die zum Test der Software in diesem Paket dienen.
 * @author A.Zimmermann, HS Bochum, 2012
 *
 */
public class ShapeFactory {
	
	public static ArrayList<DecoratedShape> createShapes() {
		ArrayList<DecoratedShape> shapes = new ArrayList<DecoratedShape>();
		for(int i=0; i<100; i++) {
			double x = Math.random()*10000;
			double y = Math.random()*10000;
			Line2D l = new Line2D.Double(x,y, 
					x+(Math.random()-0.5)*1000, y+(Math.random()-0.5)*1000);
			shapes.add(DecoratedShape.createDrawShape(l, Color.RED));
			Rectangle2D r = new Rectangle2D.Double(
					Math.random()*10000, Math.random()*10000, 
					Math.random()*1000, Math.random()*1000);
			shapes.add(DecoratedShape.createDrawShape(r, Color.GREEN));
			Ellipse2D c = new Ellipse2D.Double(
					Math.random()*10000, Math.random()*10000, 
					Math.random()*1000, Math.random()*1000);
			shapes.add(DecoratedShape.createDrawShape(c, Color.BLUE));
		}
		return shapes;
	}

	public static ArrayList<DecoratedShape> createShapes1() {
		RoundRectangle2D r = new RoundRectangle2D.Double(50,50,100,100,20,20);
		Stroke str = new BasicStroke(10.f);
		BufferedImage bi = new BufferedImage(16,16,BufferedImage.TYPE_INT_RGB);
		for(int i=0; i<bi.getHeight(); i++)
			for(int j=0; j<bi.getWidth(); j=j+2) {
				bi.setRGB(i, j+i%2, 0xffffff);
				bi.setRGB(i, (j+i%2+1)%bi.getWidth(), 0xff0000);
			}
				
		Paint pnt = new TexturePaint(bi,new Rectangle2D.Double(0,0,16,16));
		ArrayList list = new ArrayList();
		list.add(DecoratedShape.createDrawShape(r, str, pnt));
		return list;
	}
	
	public static ArrayList<DecoratedShape> createShapes2() {
		RoundRectangle2D r = new RoundRectangle2D.Double(50,50,100,100,20,20);
		Stroke str = new BasicStroke(5.f);
		BufferedImage bi = new BufferedImage(3,3,BufferedImage.TYPE_INT_RGB);
		bi.setRGB(0,0,0xff0000);
		bi.setRGB(0,1,0x00ff00);
		bi.setRGB(0,2,0x0000ff);
		bi.setRGB(1,0,0x00ff00);
		bi.setRGB(1,1,0x0000ff);
		bi.setRGB(1,2,0xff0000);
		bi.setRGB(2,0,0x0000ff);
		bi.setRGB(2,1,0xff0000);
		bi.setRGB(2,2,0x00ff00);
		Paint pnt = new TexturePaint(bi,new Rectangle2D.Double(0,0,3,3));
		ArrayList list = new ArrayList();
		list.add(DecoratedShape.createDrawShape(r, str, pnt));
		return list;
	}
}
