package de.hsbo.fbv.bmg.graphics.viewer.commands;

import javax.swing.JFrame;

/**
 * Demo fr einen konfigurierbaren Viewer, der das Entwurfsmuster COMMAND implementiert.
 * Demo0 stellt eine einfache Graphik ohne jeglich Interaktionsmglichkeiten dar.
 * @author A.Zimmermann, HS Bochum, 2011
 * @see Gamma,et.al.: Entwurfsmuster, Addison-Wesley, 1996
 *
 */
public class Demo0 extends JFrame {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Demo0 mapFrame = new Demo0();
		mapFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		mapFrame.setVisible(true);
	}

	private static final long serialVersionUID = 1L;
	Map map = null;

	/**
	 * This is the default constructor
	 */
	public Demo0() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(420, 340);
		this.map = new MapAdapter();
		this.map.setFrame(this);
		this.map.initialize(new Demo0MapCmdInitialize(this.map));
		// this.map.initialize(new ViewMapCmdInitialize(this.map));
		this.setContentPane(map.getPanel());
		this.setTitle("MapFrame");
	}


}
