package de.hsbo.fbv.bmg.graphics.viewer.commands;

import java.awt.Color;
import java.awt.Graphics;

/**
 * Dieses Command zeichnet ein Rastertestbild in das Fenster der Map.
 * Die Mae betragen 400x300 Pixel.
 * @author zimmermann
 *
 */
public class Demo0MapCmdPaint implements Command {
	
	// Attribute
	Map map = null;
	
	// Konstruktor
	public Demo0MapCmdPaint(Map map) {
		super();
		this.map = map;
	}

	@Override
	public void execute() {
		Graphics g = this.map.getGraphics();
		g.setColor(Color.BLACK);
		g.drawRect( 0,  0, 400, 300);
		g.drawRect( 2,  2, 396, 296);
		g.drawOval(50,  0, 300, 300);
		g.drawOval(52,  2, 296, 296);
		g.setColor(Color.RED);
		g.drawRect( 4,  4, 392, 292);
		g.drawRect( 6,  6, 388, 288);
		g.drawOval(54,  4, 292, 292);
		g.drawOval(56,  6, 288, 288);
		g.setColor(Color.GREEN);
		g.drawRect( 8,  8, 384, 284);
		g.drawRect(10, 10, 380, 280);
		g.drawOval(58,  8, 284, 284);
		g.drawOval(60, 10, 280, 280);
		g.setColor(Color.BLUE);
		g.drawRect(12, 12, 376, 276);
		g.drawRect(14, 14, 372, 272);
		g.drawOval(62, 12, 276, 276);
		g.drawOval(64, 14, 272, 272);
		g.setColor(Color.BLACK);
		g.fillArc(75, 25, 250, 250,  0, 9);
		g.fillArc(75, 25, 250, 250, 18, 9);
		g.fillArc(75, 25, 250, 250, 36, 9);
		g.fillArc(75, 25, 250, 250, 54, 9);
		g.fillArc(75, 25, 250, 250, 72, 9);
		g.setColor(Color.RED);
		g.fillArc(75, 25, 250, 250,  90, 9);
		g.fillArc(75, 25, 250, 250, 108, 9);
		g.fillArc(75, 25, 250, 250, 126, 9);
		g.fillArc(75, 25, 250, 250, 144, 9);
		g.fillArc(75, 25, 250, 250, 162, 9);
		g.setColor(Color.GREEN);
		g.fillArc(75, 25, 250, 250, 180, 9);
		g.fillArc(75, 25, 250, 250, 198, 9);
		g.fillArc(75, 25, 250, 250, 216, 9);
		g.fillArc(75, 25, 250, 250, 234, 9);
		g.fillArc(75, 25, 250, 250, 252, 9);
		g.setColor(Color.BLUE);
		g.fillArc(75, 25, 250, 250, 270, 9);
		g.fillArc(75, 25, 250, 250, 288, 9);
		g.fillArc(75, 25, 250, 250, 306, 9);
		g.fillArc(75, 25, 250, 250, 324, 9);
		g.fillArc(75, 25, 250, 250, 342, 9);
	}
}
