package de.hsbo.fbv.bmg.graphics.viewer.commands;

import javax.swing.JFrame;

/**
 * Demo fr einen konfigurierbaren Viewer, der das Entwurfsmuster COMMAND implementiert.
 * Demo1 stellt die gleiche Graphik wie Demo0 dar, die sich allerdings automatisch 
 * an die Gre des Frames anpasst.
 * @author A.Zimmermann, HS Bochum, 2011
 * @see Gamma,et.al.: Entwurfsmuster, Addison-Wesley, 1996
 *
 */
public class Demo1 extends JFrame {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Demo1 mapFrame = new Demo1();
		mapFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		mapFrame.setVisible(true);
	}

	private static final long serialVersionUID = 1L;
	Map map = null;

	/**
	 * This is the default constructor
	 */
	public Demo1() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(420, 340);
		this.map = new MapAdapter();
		this.map.setFrame(this);
		this.map.initialize(new Demo1MapCmdInitialize(this.map));
		// this.map.initialize(new ViewMapCmdInitialize(this.map));
		this.setContentPane(map.getPanel());
		this.setTitle("MapFrame");
	}


}
