package de.hsbo.fbv.bmg.graphics.viewer.commands;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.geom.Arc2D;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;


/**
 * Dieses Command zeichnet ein transformierbares Testbild in das Fenster der Map.
 * Die Mae betragen 400x300 Pixel.
 * @author zimmermann
 *
 */
public class Demo2MapCmdPaint implements Command {
	
	// Attribute
	Map map = null;
	
	// Konstruktor
	public Demo2MapCmdPaint(Map map) {
		super();
		this.map = map;
	}

	@Override
	public void execute() {
		Graphics g = this.map.getGraphics();
		// this.map.setTransform(this.map.getTransform(this.map.getWorldBounds()));
		Graphics2D g2 = (Graphics2D)g;
		g2.setTransform(this.map.getTransform(this.map.getWorldBounds()));
		g2.setColor(Color.BLACK);
		g2.draw(new Rectangle2D.Double( 0,  0, 400, 300));
		g2.draw(new Rectangle2D.Double( 2,  2, 396, 296));
		g2.draw(new Ellipse2D.Double(50,  0, 300, 300));
		g2.draw(new Ellipse2D.Double(52,  2, 296, 296));
		g2.setColor(Color.RED);
		g2.draw(new Rectangle2D.Double( 4,  4, 392, 292));
		g2.draw(new Rectangle2D.Double( 6,  6, 388, 288));
		g2.draw(new Ellipse2D.Double(54,  4, 292, 292));
		g2.draw(new Ellipse2D.Double(56,  6, 288, 288));
		g2.setColor(Color.GREEN);
		g2.draw(new Rectangle2D.Double( 8,  8, 384, 284));
		g2.draw(new Rectangle2D.Double(10, 10, 380, 280));
		g2.draw(new Ellipse2D.Double(58,  8, 284, 284));
		g2.draw(new Ellipse2D.Double(60, 10, 280, 280));
		g2.setColor(Color.BLUE);
		g2.draw(new Rectangle2D.Double(12, 12, 376, 276));
		g2.draw(new Rectangle2D.Double(14, 14, 372, 272));
		g2.draw(new Ellipse2D.Double(62, 12, 276, 276));
		g2.draw(new Ellipse2D.Double(64, 14, 272, 272));

		g2.setColor(Color.BLACK);
		g2.fill(new Arc2D.Double(75, 25, 250, 250,  0, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 18, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 36, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 54, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 72, 9, Arc2D.PIE));
		g2.setColor(Color.RED);
		g2.fill(new Arc2D.Double(75, 25, 250, 250,  90, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 108, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 126, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 144, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 162, 9, Arc2D.PIE));
		g2.setColor(Color.GREEN);
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 180, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 198, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 216, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 234, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 252, 9, Arc2D.PIE));
		g2.setColor(Color.BLUE);
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 270, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 288, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 306, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 324, 9, Arc2D.PIE));
		g2.fill(new Arc2D.Double(75, 25, 250, 250, 342, 9, Arc2D.PIE));

	}
}
