package de.hsbo.fbv.bmg.graphics.viewer.commands;

import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;

/**
 * Dieses Command verschiebt die aktuelle Graphik der Map.
 * <STRG>:	Pan
 * @author zimmermann
 *
 */
public class MapCmdMouseDragged implements Command {
	
	// Attribute
	Map map = null;
	
	// Konstruktor
	public MapCmdMouseDragged(Map map) {
		super();
		this.map = map;
	}
	
	@Override
	public void execute() {
		Point2D last = this.map.getLastPoint();
		Point2D act = this.map.getActPoint();
		double diffx = (last.getX() - act.getX());
		double diffy = (last.getY() - act.getY());
		Rectangle2D worldBounds = this.map.getWorldBounds();
		double xc = worldBounds.getMinX();
		double yc = worldBounds.getMinY();
		double dx = worldBounds.getWidth();
		double dy = worldBounds.getHeight();
		double xmin = xc + diffx;
		double ymin = yc + diffy;
		this.map.setWorldBounds(new Rectangle2D.Double(xmin, ymin, dx, dy));
		this.map.getFrame().repaint();
	}

}
