package de.hsbo.fbv.bmg.graphics.viewer.commands;

import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;

/**
 * Dieses Command zeigt die aktuelle Maus-Position an.
 * @author zimmermann
 *
 */
public class MapCmdMouseMoved implements Command {
	
	// Attribute
	Map map = null;
	
	// Konstruktor
	public MapCmdMouseMoved(Map map) {
		super();
		this.map = map;
	}
	
	@Override
	public void execute() {
		Point2D act = this.map.getActPoint();
		double x = Math.floor(act.getX()*100)/100;
		double y = Math.floor(act.getY()*100)/100;
		this.map.getFrame().setTitle("(x="+x+", y="+y+")");
		this.map.getFrame().repaint();
	}

}
