package de.hsbo.fbv.bmg.graphics.viewer.commands;

import java.awt.event.MouseWheelEvent;
import java.awt.geom.Rectangle2D;

/**
 * Dieses Command vergrert oder verkleinert die aktuelle Graphik der Map.
 * <STRG><RAD-VOR>: 	Zoom-In
 * <STRG><RAD-ZURCK>:	Zoom-Out
 * @author zimmermann
 *
 */
public class MapCmdWheelMoved implements Command {
	
	// Attribute
	Map map = null;
	double factor = 0.8;
	
	// Konstruktor
	public MapCmdWheelMoved(Map map) {
		super();
		this.map = map;
	}
	
	@Override
	public void execute() {
		if (this.map.getActMouseEvent().isControlDown()) {
			MouseWheelEvent mwe = (MouseWheelEvent) (this.map.getActMouseEvent());
			double actFactor = factor;
			if (mwe.getWheelRotation() == -1) {
				actFactor = 1 / factor;
			}
			// +1: Hinein-Zoomen
			else
				;
			Rectangle2D worldBounds = this.map.getWorldBounds();
			double xc = worldBounds.getCenterX();
			double yc = worldBounds.getCenterY();
			double dx = worldBounds.getWidth() * actFactor;
			double dy = worldBounds.getHeight() * actFactor;
			double xmin = xc - dx / 2;
			double ymin = yc - dy / 2;
			this.map.setWorldBounds(new Rectangle2D.Double(xmin, ymin, dx, dy));
			this.map.getFrame().repaint();
		}
	}

}
