package de.hsbo.fbv.bmg.graphics.viewer.demos;


import java.awt.Color;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Path2D;
import java.awt.geom.Rectangle2D;

import de.hsbo.fbv.bmg.graphics.viewer.simple.SimpleShapeFrame;


/**
 * Beispielklasse fr SimpleShapeViewer und das Anwendungsfenster SimpleShapeFrame. 
 * @author Zimmermann, HS Bochum 2009
 *
 */
public class SimpleShapeFrameSample {

	/**
	 * Hauptmethode main()
	 * @param args - keine Parameter vorgesehen
	 */
	public static void main(String[] args) {
		
		// Ein Objekt vom Typ SimpleShapeFrame instanziieren
		SimpleShapeFrame ssf = new SimpleShapeFrame();
		
		// Linienfarbe (weiss) setzen
		ssf.setDrawColor(Color.WHITE);
		
		// Fllfarbe (pink) setzen
		ssf.setFillColor(new Color(255,128,128));
		
		// Graphiken vom Typ java.awt.Shape bergeben.
		ssf.add(new Rectangle2D.Double(1000,1000,1000,1000));
		ssf.add(new Rectangle2D.Double(500,500,1000,1000));
		ssf.add(new Ellipse2D.Double(1100, 1800, 800, 1000));
		
		// ein Trapez konstruieren und an den Frame bergeben
		Path2D trapez = new Path2D.Double();
		trapez.moveTo( 800,  800);
		trapez.lineTo(2200,  800);
		trapez.lineTo(2000, 1000);
		trapez.lineTo(1000, 1000);
		trapez.lineTo( 800,  800);	
		// trapez.closePath();
		ssf.add(trapez);	
		
		// Fenster am Desktop anzeigen lassen
		ssf.setVisible(true);
	}

}
