package de.hsbo.fbv.bmg.graphics.viewer.simple;

import java.awt.geom.Rectangle2D;

/**
 * Layer - Interface, das Datentyp zur Verwaltung der Darstellungsebenen in der Klasse Map.<br>
 * Die Methoden werden intern zur Darstellung eines Layers in der Klasse Map verwendet.<br>
 * @author Zimmermann, HS Bochum 2011<br>
 * @see StyledShapes<br>
 */
public interface Layer {
	
	/**
	 * Gibt die Ausdehnung des Layers als Rechteck an.
	 * @return
	 */
	public Rectangle2D getBounds2D();
	
	/**
	 * Gibt die Objekte, die darzustellen sind, zusammen mit den Gestaltungsparametern aus.<br>
	 * @return
	 */
	public StyledShapes[] getStyledShapes();
	
	/**
	 * Gibt an, ob der Layer sichtbar sein soll.<br>
	 * @return
	 */
	public boolean isVisible();
	
}
