package de.hsbo.fbv.bmg.graphics.viewer.simple;

import java.awt.Color;
import java.awt.Shape;
import java.awt.Stroke;

/**
 * StyledShapes - Hilfsklasse, die eine Daten-Container zur Ausgabe von Shape-Objekten und  
 * ihren Gestaltungsparametern bereitsstellt. StyledShapes-Objekte werden von Layer-Objekten 
 * bereitsgestellt und von Map-Objekten ausgewertet. Als Gestaltungsparameter werden untersttzt:<br>
 * + mode (DRAW oder FILL)<br>
 * + color (Strich- bzw. Fllfarbe)<br>
 * + stroke (Linien-Modus)<br>
 * @author Zimmermann, HS Bochum 2011<br>
 * @see Map
 * @see Layer
 */
public class StyledShapes {
	
	// Parameter
	public static final boolean DRAW = false;
	public static final boolean FILL = true;
	
	// Attribute
	boolean mode = false;
	Color color = null;
	Stroke stroke = null;
	Shape[] shapes = null;
	
	
	public StyledShapes(Shape[] shapes) {
		super();
		this.shapes = shapes;
	}

	public Color getColor() {
		return color;
	}

	public void setColor(Color color) {
		this.color = color;
	}

	public Stroke getStroke() {
		return stroke;
	}

	public void setStroke(Stroke stroke) {
		this.stroke = stroke;
	}

	public Shape[] getShapes() {
		return shapes;
	}

	public boolean isDraw() {
		return !mode;
	}

	public void setDraw() {
		this.mode = DRAW;
	}

	public boolean isFill() {
		return mode;
	}

	public void setFill() {
		this.mode = FILL;
	}

}
